<?php
include_once("../php/config.php");
$caja = $_GET["caja"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
/////$usuario = $_GET["usuario"];


$nivel = $_COOKIE["nivel"];
if($fecha1==""){$fecha1=$hoy;}
if($fecha2==""){$fecha2=$hoy;}
////if($nivel=="Master"){$usuario="";}

if($nivel=="Master"){
	//////$usuario = "";
}


mysql_query("update ventas set ganancia=((total/tasa_venta) - (total/tasa_compra)) * tasa_venta") or die(mysql_error());

$inicioPesos = mysql_query("select pesos as total from balance_inicial") or die(mysql_error());
$inicioDolar = mysql_query("select dolares as total from balance_inicial") or die(mysql_error());
$inicioGourde = mysql_query("select gourde as total from balance_inicial") or die(mysql_error());

$totalVentaContado = mysql_query("update recargas set beneficio=0 where beneficio<0") or die(mysql_error());

$totalVentaContado = mysql_query("select sum(total) as total from ventas where termino!='Credito' AND fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'  AND estado!='Anulada' and estado='Cerrada'") or die(mysql_error());

$ventas_efectivo= mysql_query("select sum(total) as total from ventas where termino='Efectivo' AND fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'  AND estado!='Anulada'") or die(mysql_error());

$ventas_credito_total = mysql_query("select sum(total) as total from ventas where termino='Credito' AND fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'  AND estado!='Anulada'") or die(mysql_error());
$ventas_tarjeta_total = mysql_query("select sum(total) as total from ventas where termino='Tarjeta' AND fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'  AND estado!='Anulada' and pagado>0") or die(mysql_error());
$ventas_transferencia_total = mysql_query("select sum(total) as total from ventas where termino='Transferencia' AND fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'  AND estado!='Anulada' and pagado>0") or die(mysql_error());

$devoluciones = mysql_query("select sum(importe) as total from devoluciones where fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$pagos_credito = mysql_query("select sum(monto) as total from pagos_credito where fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$otros_ingresos = mysql_query("select sum(monto) as total from ingresos where tipo!='Credito' and tipo!='Venta' and tipo!='Apertura caja' and fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$monto_inicio = mysql_query("select sum(monto) as total from ingresos  where tipo='Apertura caja' and fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());

$pagos_proveedor = mysql_query("select sum(monto) as total from pagos_compra where fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$pagos_produccion = mysql_query("select sum(monto) as total from pagos_producciones where fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$otros_egresos = mysql_query("select sum(monto) as total from egresos where tipo!='Produccion' and fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$prestamos = mysql_query("select sum(monto_prestado) as total from prestamos where fecha_prestamo between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$cobros = mysql_query("select sum(total) as total from cobros where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());

$compras = mysql_query("select sum(total) as total from compras where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$compras_natcom = mysql_query("select sum(costo) as total from compras where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and producto='NATCOM'") or die(mysql_error());
$compras_digicel = mysql_query("select sum(total) as total from compras where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and producto='DIGICEL'") or die(mysql_error());
$compras_natcash = mysql_query("select sum(total) as total from compras where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and producto='NATCASH'") or die(mysql_error());
$compras_moncash = mysql_query("select sum(total) as total from compras where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and producto='MONCASH'") or die(mysql_error());


$creditos = mysql_query("select sum(total) as total from ventas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and termino='Credito' and moneda='PESOS'") or die(mysql_error());
$creditos2 = mysql_query("select sum(total) as total from ventas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and termino='Credito' and moneda='GOURDE'") or die(mysql_error());


$ventas = mysql_query("select sum(monto) as total from recargas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and estado='Realizada'") or die(mysql_error());
$ventas_natcom = mysql_query("select sum(monto) as total from recargas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and estado='Realizada' and compania='NATCOM'") or die(mysql_error());
$ventas_digicel = mysql_query("select sum(monto) as total from recargas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and estado='Realizada' and compania='DIGICEL'") or die(mysql_error());
$ventas_natcash = mysql_query("select sum(total) as total from ventas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and producto='NATCASH'") or die(mysql_error());
$ventas_moncash = mysql_query("select sum(total) as total from ventas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and producto='MONCASH'") or die(mysql_error());

$balance_gourde = mysql_query("select sum(stock) as total from productos") or die(mysql_error());
$balance_natcom = mysql_query("select stock as total from productos where  descripcion='NATCOM'") or die(mysql_error());
$balance_digicel = mysql_query("select stock as total from productos where  descripcion='DIGICEL'") or die(mysql_error());
$balance_natcash =mysql_query("select stock as total from productos where  descripcion='NATCASH'") or die(mysql_error());
$balance_moncash = mysql_query("select stock as total from productos where  descripcion='MONCASH'") or die(mysql_error());

$venta_total_gourde = mysql_query("select sum(recibe) as total from recargas where  estado='Realizada' and fecha between '$fecha1' and '$fecha2' and usuario like '%".$usuario."%' ") or die(mysql_error());
$venta_total_gourde_moncash = mysql_query("select sum(recibe) as total from recargas where  estado='Realizada' and fecha between '$fecha1' and '$fecha2' and usuario like '%".$usuario."%' and compania='MONCASH'") or die(mysql_error());

$venta_total_gourde_natcash = mysql_query("select sum(recibe) as total from recargas where  estado='Realizada' and fecha between '$fecha1' and '$fecha2' and usuario like '%".$usuario."%' and compania='NATCASH'") or die(mysql_error());


$comision = mysql_query("select sum(comision_remesa) as total from recargas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and estado='Realizada' and moneda='PESOS'") or die(mysql_error());
$comision2 = mysql_query("select sum(comision_remesa_gourde) as total from recargas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and estado='Realizada' and moneda='GOURDE'") or die(mysql_error());

$ganancia_venta = mysql_query("select sum(beneficio) as total from recargas where  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and estado='Realizada'") or die(mysql_error());

$tasa_gourde = mysql_query("select * from tasas where moneda = 'GOURDE'") or die(mysql_error());


$apesos = mysql_result($ganancia_venta, 0, "total") / mysql_result($tasa_gourde, 0, "compra");

$inicio = @mysql_result($monto_inicio,0,"total");


$compra_dolar = mysql_query("select sum(monto) as total from compra_venta_divisa where tipo='compra' and moneda='dolar' and fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$totalCompraDolar = @mysql_result($compra_dolar,0,"total");

$venta_dolar = mysql_query("select sum(monto) as total from compra_venta_divisa where tipo='venta' and moneda='dolar' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$totalVentaDolar = @mysql_result($venta_dolar,0,"total");

$compra_gourde = mysql_query("select sum(monto) as total from compra_venta_divisa where tipo='compra' and moneda='gourde' and fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$totalCompraGourde = @mysql_result($compra_gourde,0,"total");

$venta_gourde = mysql_query("select sum(monto) as total from compra_venta_divisa where  tipo='venta' and moneda='gourde' and fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$totalVentaGourde = @mysql_result($venta_gourde,0,"total");


$sqlpago = mysql_query("select sum(pago) as total from compra_venta_divisa where tipo='compra' and moneda='dolar' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$ppeso1 = @mysql_result($sqlpago,0,"total");

$sqlpago2 = mysql_query("select sum(pago) as total from compra_venta_divisa where tipo='venta' and moneda='dolar' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$ppeso2 = @mysql_result($sqlpago2,0,"total");


$sqlpago3 = mysql_query("select sum(pago) as total from compra_venta_divisa where tipo='compra' and moneda='gourde' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$ppeso3 = @mysql_result($sqlpago3,0,"total");


$sqlpago4 = mysql_query("select sum(pago) as total from compra_venta_divisa where tipo='venta' and moneda='gourde' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$ppeso4 = @mysql_result($sqlpago4,0,"total");




$ppesos = $ppeso2 + $ppeso4;
$ai = $ppeso1 + $ppeso3;
$ai = $ppesos - $ai;





/////////
$sql_engourde1 = mysql_query("select sum(total) as total from recargas where estado!='Anulada' and moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='NATCASH'") or die(mysql_error());
$engourde1 = @mysql_result($sql_engourde1,0,"total");

$sql_recibe1 = mysql_query("select sum(recibe) as total from recargas where estado!='Anulada' and moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='NATCASH'") or die(mysql_error());
$recibe1 = @mysql_result($sql_recibe1,0,"total");

$sql_engourde2 = mysql_query("select sum(total) as total from recargas where estado!='Anulada' and moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='MONCASH'") or die(mysql_error());
$engourde2 = @mysql_result($sql_engourde2,0,"total");

$sql_recibe2 = mysql_query("select sum(recibe) as total from recargas where estado!='Anulada' and moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='MONCASH'") or die(mysql_error());
$recibe2 = @mysql_result($sql_recibe2,0,"total");
////////

/////////
$sql_enpesos1 = mysql_query("select sum(total) as total from recargas where estado!='Anulada' and moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='NATCASH'") or die(mysql_error());
$enpesos1 = @mysql_result($sql_enpesos1,0,"total");

$sql_recibe3 = mysql_query("select sum(recibe) as total from recargas where estado!='Anulada' and moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='NATCASH'") or die(mysql_error());
$recibe1+= @mysql_result($sql_recibe3,0,"total");

$sql_enpesos2 = mysql_query("select sum(total) as total from recargas where estado!='Anulada' and moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='MONCASH'") or die(mysql_error());
$enpesos2 = @mysql_result($sql_enpesos2,0,"total");

$sql_recibe4 = mysql_query("select sum(recibe) as total from recargas where estado!='Anulada' and moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and compania='MONCASH'") or die(mysql_error());
$recibe2 += @mysql_result($sql_recibe4,0,"total");
////////
$sql_beneficio = mysql_query("select sum(ganancia) as total from ventas where   estado!='Anulada' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and moneda='PESOS'") or die(mysql_error());
$beneficio = @mysql_result($sql_beneficio,0,"total");

$sql_beneficio2 = mysql_query("select sum(ganancia) as total from ingresos where    fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$beneficio_credito = 0;////@mysql_result($sql_beneficio2,0,"total");


$sql_beneficio2 = mysql_query("select sum(beneficio) as total from compra_venta_divisa where    fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo='venta'") or die(mysql_error());
$beneficio_pesos = @mysql_result($sql_beneficio2,0,"total");

////////////////////////////////////////////
///////////////ingreso caja////////////////
$sql_ingreso_pesos = mysql_query("select sum(monto) as total from ingresos where  moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo!='Credito'") or die(mysql_error());
$ingreso_pesos = @mysql_result($sql_ingreso_pesos,0,"total");

$sql_ingreso_dolar = mysql_query("select sum(monto) as total from ingresos where  moneda='DOLAR' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo!='Credito'") or die(mysql_error());
$ingreso_dolar = @mysql_result($sql_ingreso_dolar,0,"total");


$sql_ingreso_gourde = mysql_query("select sum(monto) as total from ingresos where  moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo!='Credito'") or die(mysql_error());
$ingreso_gourde = @mysql_result($sql_ingreso_gourde,0,"total");

/////////////////////////////////////////////


////////////////////////////////////////////
///////////////ingreso por pago credito////////////////
$sql_ingreso_pesosc = mysql_query("select sum(monto) as total from ingresos where  moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo='Credito'") or die(mysql_error());
$ingreso_pesosc = @mysql_result($sql_ingreso_pesosc,0,"total");

$sql_ingreso_dolarc = mysql_query("select sum(monto) as total from ingresos where  moneda='DOLAR' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo='Credito'") or die(mysql_error());
$ingreso_dolarc = @mysql_result($sql_ingreso_dolarc,0,"total");


$sql_ingreso_gourdec = mysql_query("select sum(monto) as total from ingresos where  moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%' and tipo='Credito'") or die(mysql_error());
$ingreso_gourdec = @mysql_result($sql_ingreso_gourdec,0,"total");

/////////////////////////////////////////////


$sql_egreso_pesos = mysql_query("select sum(monto) as total from egresos where  moneda='PESOS' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$egreso_pesos = @mysql_result($sql_egreso_pesos,0,"total");


$sql_egreso_dolar = mysql_query("select sum(monto) as total from egresos where  moneda='DOLAR' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$egreso_dolar = @mysql_result($sql_egreso_dolar,0,"total");


$sql_egreso_gourde = mysql_query("select sum(monto) as total from egresos where  moneda='GOURDE' and  fecha between '$fecha1' and '$fecha2'  and usuario like '%".$usuario."%'") or die(mysql_error());
$egreso_gourde = @mysql_result($sql_egreso_gourde,0,"total");


$bala = $ai - $egreso_pesos;
$bala = $bala + $ingreso_pesos;

$inid = @mysql_result($inicioDolar, 0 , 'total');
$inig= @mysql_result($inicioGourde, 0 , 'total');
$inip = @mysql_result($inicioPesos, 0 , 'total');

?>
